curl -G https://getonym.com/api/v1/domains/acme.example/changes \
-H "Authorization: Bearer YOUR_API_KEY"
import requests
r = requests.get(
"https://getonym.com/api/v1/domains/acme.example/changes",
headers={"Authorization": "Bearer YOUR_API_KEY"},
)
r.raise_for_status()
data = r.json()
const r = await fetch(
"https://getonym.com/api/v1/domains/acme.example/changes",
{ headers: { Authorization: "Bearer YOUR_API_KEY" } }
);
const data = await r.json();
{
"domain": "acme.example",
"runs": [
{
"run_date": "2026-10-11",
"compared_with": "2026-10-04",
"visibility": {
"k": 30,
"n": 92,
"rate": 0.326,
"low": 0.239,
"high": 0.427
},
"events": [
{
"kind": "prompt_lost",
"tone": "bad",
"title": "Lost on Google AI Overviews: \u201cBest hosted auth provider for a B2B startup\u201d",
"detail": "Google AI Overviews named you in each of the 3 runs before and in neither of the last 2. Named instead: nobody.",
"link": "/prompts/1b8df561-de76-43ce-8084-22e5b63b8acc?surface=google_aio:chat"
},
{
"kind": "prompt_lost",
"tone": "bad",
"title": "Lost on Perplexity: \u201cBest hosted auth provider for a B2B startup\u201d",
"detail": "Perplexity named you in each of the 3 runs before and in neither of the last 2. Named instead: Northwind, Globex, Initech.",
"link": "/prompts/1b8df561-de76-43ce-8084-22e5b63b8acc?surface=perplexity:chat"
}
]
},
{
"run_date": "2026-10-04",
"compared_with": "2026-09-27",
"visibility": {
"k": 32,
"n": 92,
"rate": 0.348,
"low": 0.258,
"high": 0.449
},
"events": [
{
"kind": "prompt_won",
"tone": "good",
"title": "Won on Perplexity: \u201cCheapest hosted auth for an indie SaaS\u201d",
"detail": "Perplexity now names you, after missing you in each of the 3 runs before.",
"link": "/prompts/0244b43e-8863-4e7d-8d56-515c1e3fecf4?surface=perplexity:chat"
},
{
"kind": "prompt_won",
"tone": "good",
"title": "Won on Google AI Overviews: \u201cSelf-hosted vs hosted auth: which should a startup pick?\u201d",
"detail": "Google AI Overviews now names you, after missing you in each of the 3 runs before.",
"link": "/prompts/94c3d629-f7dc-4273-b3a8-e729d706fa6f?surface=google_aio:chat"
}
]
}
]
}